Subject: [AVT] WG Review: Audio/Video Transport Extensions (avtext)

From: Roni Even <[email-masked]>
Date: Wed, 12 Jan 2011 20:30:07 +0200

FYI, please review and send any comments to [email-masked]

Roni Even

A new IETF working group has been proposed in the Real-Time Applications

and Infrastructure Area.  The IESG has not made any determination as yet.

The following draft charter was submitted, and is provided for

informational purposes only. Please send your comments to the IESG mailing

list (iesg at ietf.org) by Tuesday, January 18, 2011.               

Audio/Video Transport Extensions (avtext)

-------------------------------------------

Current Status: Proposed Working Group

Last modified: 2010-12-03

Chairs: TBD

Real-Time Applications and Infrastructure Area Directors:

  Gonzalo Camarillo <gonzalo.camarillo at ericsson.com>

  Robert Sparks <rjsparks at nostrum.com>

Real-Time Applications and Infrastructure Area Advisor:

  Robert Sparks <rjsparks at nostrum.com>

Mailing Lists: TBD

Description of Working Group:

  The Full-Standard Real-time Transport Protocol, RTP [RFC 3550], along 

  with its associated profiles and payload formats provides for real-

  time transmission of audio and video over unicast and multicast 

  transports. RTP is widely implemented, and deployed for a wide range 

  of applications, ranging from telephony to television over IP. As new 

  applications have emerged, the need for guidelines for the use of the 

  RTP/RTCP protocols and extensions specific to those applications 

  has been identified.

  The AVTEXT working group is charted to develop application-specific 

  guidelines for the use of RTP/RTCP protocols with the AVP, SAVP, 

  AVPF, and SAVPF profiles, and extensions to those protocols that are 

  driven by application-specific needs. Proposals for extensions with 

  general applicability to many different RTP/RTCP usages should be 

  taken to the AVTCORE working group. 

  The AVTEXT working group is constrained to use the protocol extension 

  mechanisms defined in the core protocols (such as RTP Header 

  extensions [RFC5285], AVPF Feedback Messages [RFC4585], and 

  SDES Items [RFC3550]). If new ways to extend the core protocols are 

  needed, they will be developed in the AVTCORE working group.

  In addition to the milestones called out below, the AVTEXT working 

  group's initial tasks will include completing any new work identified 

  during IESG evaluation for the Rapid Acquisition of Multicast RTP 

  Sessions.

Goals and Milestones:

Dec 2010  Submit Considerations for RAMS Scenarios for Informational

Oct 2011  Submit RTP Header extension for mixer to client audio level 

          indication as Proposed Standard

Oct 2011  Submit RTP Header extension for client to mixer audio level 

          indication as proposed standard

Dec 2011  Submit Support for multiple clock rates in an RTP session for 

          Proposed Standard

Dec 2011  Submit SRTP Store-and-Forward Use Cases and Requirements for 

          Informational

Dec 2011  Submit Use of the Secure Real-time Transport Protocol (SRTP) 

          in Store-and-Forward Applications for Proposed Standard